model_name=YOUR_MODEL_NAME # Replace with your desired model name
model_path=/path/to/your/model # Replace with your desired model path
device=YOUR_DEVICE_ID # Replace with your desired device id

# prob1
# unwatermarked prob1
for i in {0..2}; do
  python unwatermark_ngram_gen_batch.py --model_name "$model_name" --device "$device" --samples 10000 --option experiment --fill_length 50 --model_path "$model_path" --sample_iter $i
done

# KGW-prob1
for i in {0..2}; do
  python KGW_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 4 --scheme time --option experiment --fill_length 50 --model_path "$model_path" --sample_iter $i
done

# Aar-prob1
for i in {0..2}; do
  python Aar_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --fill_length 50 --model_path "$model_path" --sample_iter $i
done

# KGW-min-prob1
for i in {0..2}; do
  python KGW_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 4 --scheme min --option experiment --fill_length 50 --model_path "$model_path" --sample_iter $i
done

# KGW-skip-prob1
for i in {0..2}; do
  python KGW_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 3 --scheme skip --option experiment --fill_length 50 --model_path "$model_path" --sample_iter $i
done

# DiPmark-prob1
for i in {0..2}; do
  python DIP_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --fill_length 50 --alpha 0.45 --model_path "$model_path" --sample_iter $i
done

# Unbias-prob1(DiPmark-prob1 alpha=0.5)
for i in {0..2}; do
  python DIP_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --fill_length 50 --alpha 0.5 --model_path "$model_path" --sample_iter $i
done

# KTH-prob1
for i in {0..2}; do
  python KTH_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 420 --fill_length 50 --model_path "$model_path" --option experiment --sample_iter $i
done

# ITS-prob1
for i in {0..2}; do
  python ITS_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 420 --fill_length 50 --model_path "$model_path" --option experiment --sample_iter $i
done

## prob2
# Unwatermarked prob2
for i in {0..2}; do
  python unwatermark_fixkey_gen_batch.py --model_name "$model_name" --device "$device" --samples 10000 --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

# KGW-prob2
for i in {0..2}; do
  python KGW_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 4 --scheme time --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

# Aar-prob2
for i in {0..2}; do
  python Aar_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

# KGW-min-prob2
for i in {0..2}; do
  python KGW_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 4 --scheme min --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

# KGW-skip-prob2
for i in {0..2}; do
  python KGW_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --gamma 0.5 --delta 2.0 --prefix_length 3 --scheme skip --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

# DiPmark-prob2
for i in {0..2}; do
  python DIP_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --batch_size 1000 --alpha 0.45 --model_path "$model_path" --sample_iter $i
done

# Unbias-prob2(DiPmark-prob2 alpha=0.5)
for i in {0..2}; do
  python DIP_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --prefix_length 4 --option experiment --batch_size 1000 --alpha 0.5 --model_path "$model_path" --sample_iter $i
done

# KTH-prob2
for i in {0..2}; do
  python KTH_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 420 --batch_size 1000 --model_path "$model_path" --option experiment --sample_iter $i
done

# KTH-prob2 (5gram)
for i in {0..2}; do
  python KTH_sampling_batch_prob2_5gram.py --model_name "$model_name" --device "$device" --samples 100000 --keylen 420 --batch_size 2000 --model_path "$model_path" --option experiment --sample_iter $i
done

# ITS-prob2
for i in {0..2}; do
  python ITS_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 420 --batch_size 1000 --model_path "$model_path" --option experiment --sample_iter $i
done

# Unwatermarked prob2 (5gram)
for i in {0..2}; do
  python unwatermark_sampling_batch_prob2_5gram.py --model_name "$model_name" --device "$device" --samples 100000 --option experiment --batch_size 2000 --model_path "$model_path" --sample_iter $i
done

## Water-Bag 
# KGW-Fix
for i in {0..2}; do
  python KGW_Fix_sampling_batch_prob1.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 4 --fill_length 50 --model_path "$model_path" --option experiment --sample_iter $i
done

# KGW-Fix
for i in {0..2}; do
  python KGW_Fix_sampling_batch_prob2.py --model_name "$model_name" --device "$device" --samples 10000 --keylen 4 --model_path "$model_path" --option experiment --sample_iter $i
done

# KGW-Fix-5gram
for i in {0..2}; do
  python KGW_Fix_sampling_batch_prob2_5gram.py --model_name "$model_name" --device "$device" --samples 100000 --keylen 4 --model_path "$model_path" --option experiment --sample_iter $i
done
